select
  an.numero
  , an.dtnascimento as data_nascimento
  , an.dtdesmama as data_desmama
  , pe1.dtpeso as data_peso_1
  , pe1.peso as peso_1
  , pe2.dtpeso as data_peso_2
  , pe2.peso as peso_2
  , pe3.dtpeso as data_peso_3
  , pe3.peso as peso_3
  , pe4.dtpeso as data_peso_4
  , pe4.peso as peso_4
  , pe5.dtpeso as data_peso_5
  , pe5.peso as peso_5
  , pe6.dtpeso as data_peso_6
  , pe6.peso as peso_6
  , pe7.dtpeso as data_peso_7
  , pe7.peso as peso_7
  , pe8.dtpeso as data_peso_8
  , pe8.peso as peso_8
  , pe9.dtpeso as data_peso_9
  , pe9.peso as peso_9
  , pe10.dtpeso as data_peso_10
  , pe10.peso as peso_10
  , pe11.dtpeso as data_peso_11
  , pe11.peso as peso_11
  , pe12.dtpeso as data_peso_12
  , pe12.peso as peso_12
  , pe13.dtpeso as data_peso_13
  , pe13.peso as peso_13
  , pe14.dtpeso as data_peso_14
  , pe14.peso as peso_14
  , pe15.dtpeso as data_peso_15
  , pe15.peso as peso_15
  , pe16.dtpeso as data_peso_16
  , pe16.peso as peso_16
  , pe17.dtpeso as data_peso_17
  , pe17.peso as peso_17
  , pe18.dtpeso as data_peso_18
  , pe18.peso as peso_18
  , pe19.dtpeso as data_peso_19
  , pe19.peso as peso_19
  , pe20.dtpeso as data_peso_20
  , pe20.peso as peso_20
  , pe21.dtpeso as data_peso_21
  , pe21.peso as peso_21
  , pe22.dtpeso as data_peso_22
  , pe22.peso as peso_22
  , pe23.dtpeso as data_peso_23
  , pe23.peso as peso_23
  , pe24.dtpeso as data_peso_24
  , pe24.peso as peso_24
from
  animal an
  left join peso pe1 on pe1.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = an.cdanimal order by re.dtpeso desc)
  left join peso pe2 on pe2.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe1.cdanimal and re.dtpeso < pe1.dtpeso order by re.dtpeso desc)
  left join peso pe3 on pe3.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe2.cdanimal and re.dtpeso < pe2.dtpeso order by re.dtpeso desc)
  left join peso pe4 on pe4.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe3.cdanimal and re.dtpeso < pe3.dtpeso order by re.dtpeso desc)
  left join peso pe5 on pe5.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe4.cdanimal and re.dtpeso < pe4.dtpeso order by re.dtpeso desc)
  left join peso pe6 on pe6.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe5.cdanimal and re.dtpeso < pe5.dtpeso order by re.dtpeso desc)
  left join peso pe7 on pe7.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe6.cdanimal and re.dtpeso < pe6.dtpeso order by re.dtpeso desc)
  left join peso pe8 on pe8.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe7.cdanimal and re.dtpeso < pe7.dtpeso order by re.dtpeso desc)
  left join peso pe9 on pe9.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe8.cdanimal and re.dtpeso < pe8.dtpeso order by re.dtpeso desc)
  left join peso pe10 on pe10.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe9.cdanimal and re.dtpeso < pe9.dtpeso order by re.dtpeso desc)
  left join peso pe11 on pe11.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe10.cdanimal and re.dtpeso < pe10.dtpeso order by re.dtpeso desc)
  left join peso pe12 on pe12.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe11.cdanimal and re.dtpeso < pe11.dtpeso order by re.dtpeso desc)
  left join peso pe13 on pe13.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe12.cdanimal and re.dtpeso < pe12.dtpeso order by re.dtpeso desc)
  left join peso pe14 on pe14.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe13.cdanimal and re.dtpeso < pe13.dtpeso order by re.dtpeso desc)
  left join peso pe15 on pe15.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe14.cdanimal and re.dtpeso < pe14.dtpeso order by re.dtpeso desc)
  left join peso pe16 on pe16.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe15.cdanimal and re.dtpeso < pe15.dtpeso order by re.dtpeso desc)
  left join peso pe17 on pe17.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe16.cdanimal and re.dtpeso < pe16.dtpeso order by re.dtpeso desc)
  left join peso pe18 on pe18.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe17.cdanimal and re.dtpeso < pe17.dtpeso order by re.dtpeso desc)
  left join peso pe19 on pe19.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe18.cdanimal and re.dtpeso < pe18.dtpeso order by re.dtpeso desc)
  left join peso pe20 on pe20.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe19.cdanimal and re.dtpeso < pe19.dtpeso order by re.dtpeso desc)
  left join peso pe21 on pe21.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe20.cdanimal and re.dtpeso < pe20.dtpeso order by re.dtpeso desc)
  left join peso pe22 on pe22.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe21.cdanimal and re.dtpeso < pe21.dtpeso order by re.dtpeso desc)
  left join peso pe23 on pe23.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe22.cdanimal and re.dtpeso < pe22.dtpeso order by re.dtpeso desc)
  left join peso pe24 on pe24.cdpeso =
    (select first 1 re.cdpeso from peso re where re.cdanimal = pe23.cdanimal and re.dtpeso < pe23.dtpeso order by re.dtpeso desc)
where
  an.tipoanimal = 'A'
  and an.animalrebanho = 1
  and an.dtbaixa is null
----ALTERAR DATA DE NASCIMENTO, CONFORME DESEJADO
  and an.dtnascimento between '2017-01-01' and '2017-02-15'
order by
  an.numordenado
